Skip to main content
GET
/
general-leads
List general leads
curl --request GET \
  --url https://www.renovationfind.com/rest-manager-api-v1/general-leads \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "data": {
    "content": [
      {
        "id": 123,
        "customerName": "<string>",
        "dateCreated": "2023-11-07T05:31:56Z",
        "dateModified": "2023-11-07T05:31:56Z",
        "renofindLeadType": "<string>",
        "generalLeadStatus": "<string>",
        "specificLeadStatus": "<string>",
        "paymentStatus": "<string>",
        "leadSourceType": "<string>",
        "phoneLead": true,
        "referrerVendorId": 123,
        "referrerName": "<string>",
        "endCustomer": {
          "id": 123,
          "name": "<string>",
          "email": "<string>",
          "phone": "<string>"
        },
        "jobAmount": 123,
        "requiresAction": true,
        "requireActionReason": "<string>"
      }
    ],
    "totalElements": 123,
    "totalPages": 123,
    "size": 123,
    "number": 123
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.renovationfind.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT token issued from the RenovationFind Manager Portal

Query Parameters

view
enum<string>
default:ALL
Available options:
ALL,
PQ,
PAP,
ACTION_REQUIRED
filter
enum<string>
Available options:
ALL,
NEW,
ATTEMPTED_CONTACT,
LONG_TERM_FOLLOW_UP,
READY_TO_SEND,
PQR_LEAD_SENT,
PAP_LEAD_SENT,
FOLLOW_UP_CALL,
CLOSED_DEAL,
JOB_FINISHED,
FAILED,
NEW_UNPROCESSED,
ACKNOWLEDGED,
FULLY_PROCESSED,
PQR_LEAD,
PAP_LEAD
searchQuery
string
default:""
Maximum string length: 200
page
integer
default:0
size
integer
default:10
Required range: x <= 50

Response

200 - application/json

Paginated general leads

success
boolean
data
object